petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetNullSpace

retrieves the null space to a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNullSpace(Mat mat, MatNullSpace *nullsp)

Logically Collective on Mat and MatNullSpace

### Input Parameters

| mat | - the matrix
| nullsp | - the null space object

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNearNullSpace(), MatSetNullSpace()

Level:developer
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages